COL_UTIL(1)

NAME
col_util - colour utilities including plots and blends

SYNOPSIS
col_util [options]

DESCRIPTION
various plots of maps, colors and blendings

Options

-h,--help this help message (run 'off_util -H help' for general help)

--version version information

-o <file> write output to file (default: write to standard output)

-f <type> for output type 4, map is output instead of OFF file

    map type: rgb=1, antiprism=2, decimal=3 (default: 1)

Scene Options

-M <mode> color system mode. HSV=1, HSL=2, RGB=3 (default: 3)

    plot as cone, bicone or cube respectively

-d <int>
    output type. plot=1, wheel=2, grid=3, map=4 (default: 1)

    if color wheel and RGB, only one color blend is possible

-V  verbose output. show color blend RGBA components

Output type 1 options

-r <int>
    HSV/HSL chroma 0 - none (cylinder), 1 - conic, 2 - hexagonal

-S  HSV/HSL distribute colors heptagonally, 7 ways, as in the rainbow

-k <int>
    container control (default: 2)

0 - suppress, 1 - no facets on chroma-2,
    2 - full

-z <int>
    1 - show model upright, 2 - upright but don't rotate RGB cube

-q <int>
    height of the HSL cones (default: no change)

    1 - double, 2 - make 90 degree dihedral

-p  plot color centroid(s)

Color Blending Options

-s <sat>
    HSV/HSL saturation curve. Greather than 0 (default: 1)

    1.0 - no curve. lower than 1.0 makes blends more pastel 4 numbers can be entered seperated by commas

-t <val>
    HSV/HSL threshold to use average saturation (default: 1)

    between 0.0 (all averaging) and 1.0 (no averaging)

-v <val>
    HSV/HSL value curve (default: 0)

    simulates subtractive coloring for blending 3 or more colors RGB: Red+Green+Blue = White Cyan+Magenta+Yellow = Black RYB: Red+Yellow+Blue = Black Green+Magenta+Orange = White 1.0 - no curve. lower than 1.0 number makes blends lighter 0.0 - use average value instead 4 numbers can be entered seperated by commas

-u <val>
    HSV/HSL value advance. Rotates meaning of blend to white and black

    valid values 0.0 to 120.0 degrees (default: 0)

-a <int>
    alpha for blend. average=1, minimum=2, maximum=3 (default: 3)

-y  RYB mode. Blend colors as in Red-Yellow-Blue color wheel

-c  CMY mode. Complementary colors. RGB->(RYB/GMO)->CMY->blend

-b <val>
    All color sytem modes. brightness adjustment for final blend

    valid values -1.0 to +1.0 (default: 0) negative for darker, positive for lighter, 0 for no change

Coloring Options (run 'off_util -H color' for help on color formats)

-m <map>
    get colors from a color map, or multiple maps seperated by commas

-O <file> get colors from an OFF file

    note: -m and -O may be used together

-U  allow only unique colors (sorts by color)

-Z <int>
    maximum entries to read from open ended maps (default: 256)

SEE ALSO
The full documentation for col_util is maintained as a Texinfo manual. If the info and col_util programs are properly installed at your site, the command

    info col_util

should give you access to the complete manual.